cancel
Showing results for 
Search instead for 
Did you mean: 

Error when I try to build custom fiori client

Former Member
0 Kudos

Hi,

I got below error when I try to build and deploy using commands cordova run android or cordova emulate android.

* What went wrong:

A problem occurred configuring root project 'android'.

> A problem occurred configuring project ':CordovaLib'.

   > Could not find property 'javaCompiler' on com.android.build.gradle.internal

.api.LibraryVariantImpl_Decorated@316a6bf2.

Please suggest me ways to fix the issue as I don't find useful answer after searching.

Regards,

Koti Reddy

Accepted Solutions (1)

Accepted Solutions (1)

Jitendra_Kansal
Product and Topic Expert
Product and Topic Expert
0 Kudos

Please check point #5 in this blog


Workaround: In Fiori_client project, navigate toC:\SAP\MobileSDK3\KapselSDK\apps\fiori_client\myopensapfioriclient\platforms\android\CordovaLib and look forbuilt.gradle file and change its version to 0.9.12



Regards,

JK

former_member190939
Participant
0 Kudos

Hi Jitendra,

It doesn't resolve my issue. I am still getting the same error. Any other suspected cause?

Seyed Ismail.

Answers (0)